> ## Documentation Index
> Fetch the complete documentation index at: https://docs.advancedwebranking.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Ranking Update

> This operation requests an on demand update for one or multiple projects. The output is returned in JSON format.



## OpenAPI

````yaml api-reference/openapi.json get /on-demand/{name}/run
openapi: 3.0.0
info:
  title: AWR API
  version: 1.0.0
  description: >-
    Advanced Web Ranking API for managing SEO projects, rankings, and market
    share data
servers:
  - url: https://api.advancedwebranking.com/v3
    description: Production server
security:
  - bearerAuth: []
paths:
  /on-demand/{name}/run:
    get:
      tags:
        - Ranking Updates
      summary: Run Ranking Update
      description: >-
        This operation requests an on demand update for one or multiple
        projects. The output is returned in JSON format.
      operationId: runRankingUpdate
      parameters:
        - $ref: '#/components/parameters/projectNamePath'
        - name: speed
          in: query
          schema:
            type: string
            enum:
              - slow
              - fast
          example: slow
      responses:
        '200':
          description: Successful response
components:
  parameters:
    projectNamePath:
      name: name
      in: path
      required: true
      schema:
        type: string
      example: AWR-1
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````